%%
clc;clear;close all;
I1 =  double( rgb2gray( imread('murales1.png') ) );
I2 =  double( rgb2gray( imread('murales2.png') ) );
figure, imagesc(I1);colormap gray;
figure, imagesc(I2);colormap gray;

%%
close all;
S = fftshift(fft2(I1));
figure, imagesc( (abs(S)) ); colormap jet; caxis([0 1E5]);

alpha = 10;
W = gausswin( size(S,1),alpha )'.*gausswin( size(S,2),alpha );
figure, imagesc(W);
%W = W>0.1;
%W = 1-W;

figure, imagesc( ( abs(W.*S) ) ); colormap jet; caxis([0 1E5]);

I1f = ifft2( ifftshift( W.*S ) );
figure, imagesc( I1f ); colormap gray;

%%

I2r = rot90(I2,2);
figure, imagesc(I2r);colormap gray;

%%

%C = real(ifft2( fft2(I1) .* fft2(I2r) ) );
C = real(ifft2( fft2(I1) .* conj(fft2(I2)) ) ); % due to symmetry wrt. origin
figure
imagesc(C)

%%

close all;
J = imtranslate(I2,[45, 63]);
figure,imagesc(J);colormap gray;
figure,imagesc(I1);colormap gray;